@import "fonts";
@import "variables";
@import "color";
@import "datatables";
@import "swal";
@import "input";
@import "text";
@import "card";
@import "select2";
@import "calendar";
@import "button";
@import "stepper";
@import "image";

[data-kt-app-layout="dark-header"] .app-header .btn-custom:hover:not(.btn-active) i,
[data-kt-app-layout="dark-header"] .app-header .btn-custom:hover:not(.btn-active) span,
.text-color-header {
    color: var(--app-header-color) !important;
}

.app-header,
.app-sidebar .app-sidebar-logo {
    background-color: var(--app-header-color) !important;
}

[data-kt-app-layout="dark-header"] .app-header {
    background-color: var(--app-header-color);
}

@media (min-width: 992px) {
    [data-kt-app-layout="dark-header"] .app-header-menu .menu>.menu-item.here>.menu-link .menu-title {
        color: #ffffff;
    }
}

@media (min-width: 992px) {
    [data-kt-app-layout="dark-header"] .app-header-menu .menu>.menu-item>.menu-link .menu-title {
        color: #e9ddd4;
    }
}

[data-kt-app-layout="dark-header"] .app-header .btn-custom.menu-dropdown i,
[data-kt-app-layout="dark-header"] .app-header .btn-custom.menu-dropdown span,
[data-kt-app-layout="dark-sidebar"] .app-header .btn-custom.menu-dropdown i {
    color: var(--app-header-color);
}

[data-kt-app-layout="dark-sidebar"] .app-header .btn-custom .svg-icon,
[data-kt-app-layout="dark-header"] .app-header .btn-custom .svg-icon,
[data-kt-app-layout="dark-sidebar"] .app-header .btn-custom span,
[data-kt-app-layout="dark-header"] .app-header .btn-custom span,
[data-kt-app-layout="dark-sidebar"] .app-header .btn-custom i,
[data-kt-app-layout="dark-header"] .app-header .btn-custom i {
    color: #ffffff;
}

[data-kt-app-layout="dark-sidebar"] .app-header .btn-custom.menu-dropdown span,
.btn.btn-active-color-danger:hover:not(.btn-active) span {
    color: var(--kt-text-danger);
}

.btn-check:active+[data-kt-app-layout="dark-header"] .app-header .btn-custom,
.btn-check:checked+[data-kt-app-layout="dark-header"] .app-header .btn-custom,
.show>[data-kt-app-layout="dark-header"] .app-header .btn-custom,
[data-kt-app-layout="dark-header"] .app-header .btn-custom.active,
[data-kt-app-layout="dark-header"] .app-header .btn-custom.show,
[data-kt-app-layout="dark-header"] .app-header .btn-custom:active:not(.btn-active),
[data-kt-app-layout="dark-header"] .app-header .btn-custom:focus:not(.btn-active),
[data-kt-app-layout="dark-header"] .app-header .btn-custom:hover:not(.btn-active) {
    background-color: #ffffff !important;
}

.app-header .btn.btn-active-color-primary:not(.btn-active)#kt_app_header_menu_toggle .svg-icon {
    color: #e9ddd4;
}

.app-header .btn.btn-active-color-primary:hover:not(.btn-active)#kt_app_header_menu_toggle .svg-icon {
    color: #ffffff;
}

.app-header .header-brand {
    background: #ffffff 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 18px #0000000a;
    border-radius: 0px 0px 7px 7px;
    padding: 12px 20px 0px;
    min-height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.app-footer-link {
    background-color: #e4e6ef;
    height: auto;
}

.app-footer-link .title {
    color: var(--app-header-color);
    text-transform: uppercase;
}

.app-footer-link .title-none {
    padding-top: 27.3px;
}

.app-footer-link .bullet {
    background-color: var(--app-header-color);
}

.app-footer {
    background-color: var(--app-header-color);
    height: auto;
}

[data-kt-app-layout="dark-header"] .app-header .btn-custom:hover:not(.btn-active) .svg-icon,
.app-header-menu .menu .menu-item.here>.menu-link .menu-title,
.app-header-menu .menu .menu-item.here>.menu-link .menu-icon i,
.app-header-menu .menu .menu-item:not(.here) .menu-link:hover:not(.disabled):not(.active):not(.here) .menu-icon i,
.app-header-menu .menu .menu-item:not(.here) .menu-link:hover:not(.disabled):not(.active):not(.here) .menu-title {
    color: var(--app-header-color);
}

.top-150 {
    top: 150%;
}

.app-sidebar-logo .sidebar-brand {
    box-shadow: 0px 3px 18px #0000000a;
    border-radius: 0px 0px 7px 7px;
    min-height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.app-sidebar-toggle .svg-icon,
.app-navbar-item .btn.btn-active-color-primary:hover:not(.btn-active) .svg-icon {
    color: var(--app-header-color) !important;
}

td.td-d-flex {
    display: flex !important;
}

td.td-align-items-center {
    align-items: center !important;
}

.app-toolbar.cover {
    background-size: cover;
    background-position: center;
    height: 70px !important;
    margin-bottom: 1.25rem;
}

.tns.tns-default {
    position: relative;
}

.tns {
    position: relative;
    overflow: hidden;
}

.tns.tns-default .tns-outer {
    margin: 0 4rem;
}

.tns.tns-default [data-controls="next"] {
    right: 0;
}

.tns.tns-default [data-controls="prev"] {
    left: 0;
}

.tns.tns-default [data-controls="next"],
.tns.tns-default [data-controls="prev"] {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.dashboard-welcome.cover {
    background-size: cover;
    background-position: center;
}

.dashboard-welcome.landing-dark-color {
    color: #000000;
}

.w-20px {
    width: 20px !important;
}

.w-25 {
    width: 25% !important;
}

.w-50 {
    width: 50% !important;
}

.w-75 {
    width: 75% !important;
}

.w-80 {
    width: 80% !important;
}

.w-90 {
    width: 90% !important;
}

.w-100 {
    width: 100% !important;
}

@media (min-width: 576px) {
    .w-sm-25 {
        width: 25% !important;
    }

    .w-sm-50 {
        width: 50% !important;
    }

    .w-sm-75 {
        width: 75% !important;
    }

    .w-sm-80 {
        width: 80% !important;
    }

    .w-sm-90 {
        width: 90% !important;
    }

    .w-sm-100 {
        width: 100% !important;
    }
}

@media (min-width: 768px) {
    .w-md-25 {
        width: 25% !important;
    }

    .w-md-35 {
        width: 35% !important;
    }

    .w-md-50 {
        width: 50% !important;
    }

    .w-md-75 {
        width: 75% !important;
    }

    .w-md-80 {
        width: 80% !important;
    }

    .w-md-90 {
        width: 90% !important;
    }

    .w-md-100 {
        width: 100% !important;
    }
}

@media (min-width: 992px) {
    .w-lg-25 {
        width: 25% !important;
    }

    .w-lg-35 {
        width: 35% !important;
    }

    .w-lg-40 {
        width: 40% !important;
    }

    .w-lg-50 {
        width: 50% !important;
    }

    .w-lg-75 {
        width: 75% !important;
    }

    .w-lg-80 {
        width: 80% !important;
    }

    .w-lg-90 {
        width: 90% !important;
    }

    .w-lg-100 {
        width: 100% !important;
    }
}

@media (min-width: 1200px) {
    .w-xl-25 {
        width: 25% !important;
    }

    .w-xl-50 {
        width: 50% !important;
    }

    .w-xl-75 {
        width: 75% !important;
    }

    .w-xl-80 {
        width: 80% !important;
    }

    .w-xl-100 {
        width: 100% !important;
    }
}

.overflow-x-auto {
    overflow-x: auto;
}

.text-align-right {
    text-align: right;
}

.font-size-80 {
    font-size: 80%;
}

.border-none {
    border: none !important;
}

.btn-dashboard,
.btn-login {
    color: white;
    border-color: var(--app-header-color) !important;
    background-color: var(--app-header-color) !important;
}

.main-preview-player {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.video-js,
.playlist-container {
    position: relative;
    min-width: 300px;
    min-height: 150px;
    height: 0;
}

.video-js {
    flex: 3 1 70%;
}

.playlist-container {
    flex: 1 1 30%;
}

.vjs-playlist {
    margin: 0;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

[data-kt-app-layout="dark-sidebar"] .app-sidebar {
    background-color: #000000;
}

.card-table-no-gutter {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

[data-kt-sticky-landing-header="on"] .brand-logo {
    box-shadow: unset;
    background-color: unset;
    margin-top: 0;
}

.brand-logo {
    box-shadow: 0 16px 24px 2px rgb(0 0 0 / 14%),
        0 6px 30px 5px rgb(0 0 0 / 12%), 0 8px 10px -7px rgb(0 0 0 / 20%);
    position: fixed;
    background-color: rgb(255, 255, 255, 0.5);
    margin-top: 1.5rem;
}

.scrolltop {
    width: 36px;
    height: 36px;
    bottom: 90px;
    right: 20px;
}

.contact-us {
    background-image: url(/media/taylors/chat-logo.png);
    background-size: 80%;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #6cc1e9;
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 20px;
    right: 20px;
    color: #fff;
    border-radius: 50px;
    text-align: center;
    box-shadow: 2px 2px 3px #999;
}

@media (max-width: 575.98px) {
    .app-container {
        padding-left: 10px !important;
        padding-right: 10px !important;
    }
}

.card.accordion .collapse:not(.show) {
    display: none;
}

.start-80 {
    left: 80% !important;
}

.start-50 {
    left: 50% !important;
}

.top-20 {
    top: 20% !important;
}

.top-90 {
    top: 90% !important;
}

.top-80 {
    top: 80% !important;
}

.video {
    position: relative;
    width: 100%;
}

.video__iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.video__placeholder {
    width: 100%;
    // position: absolute;
}

.video__youtube {
    padding-bottom: 56.23%;
    width: 100%;
    height: 0;
    overflow: hidden;
    position: relative;
    object-fit: cover;
    background-color: black;
}

.video__button {
    background: none;
    border: 0;
    cursor: pointer;
    height: 100%;
    left: 0;
    position: absolute;
    text-indent: -9999px;
    top: 0;
    transition: transform 300ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
    width: 100%;
}

.video__button:before {
    width: 100%;
    height: 100%;
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: url(https://www.youtube.com/yt/brand/media/image/YouTube-icon-dark.png) no-repeat center center;
    background-size: 10%;
}

.video__button:hover:before {
    background: url(https://www.youtube.com/yt/brand/media/image/YouTube-icon-full_color.png) no-repeat center center;
    background-size: 10%;
}

.overflow-x-scroll {
    overflow-x: scroll;
}

@media (min-width: 576px) {
    .sm-justify-content-around {
        justify-content: space-around!important;
    }
}